For the complete documentation index, see llms.txt.

Products
GET/api/products

Get Products

Get Products

View as MarkdownCopy for LLM

Products

Sync Product Catalogue records and related product data.

8 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/products?search_term=&page_number=1&page_size=50&skip_records=0&sort_column=Sku&sort_direction=Ascending

Response examples

Get Products (200)
{
    "page_number": 1,
    "page_size": 50,
    "total_pages": 0,
    "total_records": 1,
    "data": {
        "products": [
            {
                "id": 4541053,
                "sku": "AMZ-BLK-SHOES-US11",
                "title": "Amazing Black Shoes Black US11",
                "country": "Australia",
                "weight": 1.3,
                "height": 0.27,
                "length": 0.27,
                "width": 0.4,
                "hs_code": "6404.11.0000",
                "color": "Black",
                "size": "US11",
                "bin_location": "A18",
                "price": 99
            }
        ],
        "success": false
    },
    "succeeded": true
}

Related endpoints